﻿using UnityEngine;
using System.Collections;

public class MaterialControl : MonoBehaviour {

	bool pickedWater = false; 
	bool pickedCoffee = false;
	bool dropedWater = false;
	bool dropedCoffee = false;

	public GameObject coffee;
	public GameObject water;
	public GameObject ramp;
	public float speed = 2;
	public Vector3 offset = new Vector3(0,10,0);

	void Update(){

		if(pickedCoffee && !dropedCoffee){
			coffee.transform.position = gameObject.transform.position + offset;
			if(Input.GetMouseButtonDown(0) && Vector3.Distance(ramp.transform.position,gameObject.transform.position)<4f){
				dropedCoffee = true;
				coffee.rigidbody.useGravity = true;
				coffee.rigidbody.AddForce(new Vector3(1.5f,0,0)*speed);
			}
		}
		else if(pickedWater && !dropedWater){
			water.transform.position = gameObject.transform.position + offset;
			if(Input.GetMouseButtonDown(0) && Vector3.Distance(ramp.transform.position,gameObject.transform.position)<4f){
				dropedWater = true;
				water.rigidbody.useGravity = true;
				water.rigidbody.AddForce(new Vector3(1.5f,0,0)*speed);
			}
		}
	}

	void OnCollisionEnter(Collision col){
	
		//if the player collides with the coffee object and he hasnt picked
		//it up yet , pick it up

		if(!pickedCoffee && !dropedCoffee && !pickedWater && !dropedWater){
		if (col.gameObject.name == "Coffee"){
				coffee=pickUpItem(coffee);
				pickedCoffee = true;
			}
		else if (col.gameObject.name == "Water"){
				water = pickUpItem(water);
				pickedWater = true;
			}
		}
	
	}

	GameObject pickUpItem(GameObject item){

	   return item = Instantiate(item,gameObject.transform.position+ offset,Quaternion.identity) as GameObject;
	
	}
		
}
